LongHorn UI Requires DX9 GPU

@ 2003/05/10
hmm, for some weird reason, the link to this article makes IE crash =/
any suggestions?
Comment from jmke @ 2003/05/10
this is the link
http://www.vr-zone.com/#2999

something wrong with your IE I think

 

reply